var IS_VERBOSE, SHOW_COLORS, SPEC_FOLDER, TITLE, growl, jasmine, notify, path;
path = require('path');
SPEC_FOLDER = path.join(process.cwd(), 'spec');
SHOW_COLORS = true;
IS_VERBOSE = false;
TITLE = 'beantest';
if (!path.existsSync(SPEC_FOLDER)) {
  console.log('Error: Could not find the spec folder from which to run tests!');
  process.exit(1);
}
jasmine = require('jasmine-node');
growl = require('growl');
notify = require('notify-send');
jasmine.loadHelpersInFolder(SPEC_FOLDER, /[-_]helper\.(js|coffee)$/);
jasmine.executeSpecsInFolder(SPEC_FOLDER, function(runner, log) {
  var message, results, urgency;
  results = runner.results();
  message = "" + results.passedCount + "/" + results.totalCount + " tests passed.";
  urgency = 'low';
  if (results.failedCount > 0) {
    message = "" + results.failedCount + " tests failed! " + message;
    urgency = 'critical';
  }
  growl.notify(message, {
    title: TITLE,
    sticky: urgency === 'critical'
  });
  return notify[urgency].category(TITLE).notify(message);
}, IS_VERBOSE, SHOW_COLORS, /spec\.(js|coffee)$/i, {
  report: false
});